/***************************************
* dessine une balle (rectangle) 
* dont la couleur dépend de la position horizontale
* Remarque : principe d'inclusion / exclusion
*
* entrée :
*   - x : absisse de la balle 
*   - y : ordonnée de la balle 
*   - c : longueur du coté 
*
* sortie :
*   - aucune (affichage dans la fenetre graphique)
****************************************/
void dessineBalle(int x, int y, int c) {
  if (x < width / 4) 
    fill(255, 255, 255);  // blanc
  else
    if (x < width / 2)
      fill(255, 0, 0);    // rouge
    else
      if (x < 3 * width / 4)
        fill(0, 255, 0);  // vert
      else
        fill(0, 0, 255);  // bleu
  rect(x, y, c, c);
}

void setup() {
  // dimension de la fenetre graphique
  size(400, 400);
  // couleur de fond (noir)
  background(0);
  
  dessineBalle(20, width / 2, 20);
  dessineBalle(120, width / 2, 20);
  dessineBalle(220, width / 2, 20);
  dessineBalle(320, width / 2, 20);
}
